Get Shared Wallet Credential
Related workflow: Working with Beams and credentials
GET
Returns credential payload data from a valid temporary share token.
token*stringThe shared credential's public view.
application/json- response
credentialId*stringWallet credential id
userName*string|nullDisplay name of the user who shared the credential
status*stringCredential lifecycle status from CredentialStatusEnum
Value in
"PENDING""ACTIVE""REVOKED"data*objectCredential JSON payload; shape depends on the credential type schema
schema*object|nullJSON Schema for this credential's type (titles, types, etc.)
issuerOrganizationName*string|nullName of the organization that issued this credential
files*array<WalletSharePublicFile>Active output files linked to this credential
curl -X GET 'https://api.cerebrum.com/v1/public/wallet-shares/string'Example Response
{ "credentialId": "string", "userName": "string", "status": "PENDING", "data": {}, "schema": {}, "issuerOrganizationName": "string", "files": [ { "id": "string", "name": "string", "type": "string" } ]}